%bcond_with dotests

%global __tar /opt/freeware/bin/tar

%global py_minor 16

%global py_major 3.9

%global python_major python%{py_major}

%global pkgname jsonpointer 

%global meta_package python3-%{pkgname}

%global python3_sitearch %(%{python_major} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(0))")

Name:           %{python_major}-%{pkgname}
Version:        2.0
Release:        2
Summary:        Identify specific nodes in a JSON document (RFC 6901) 
License:        Modified BSD License 
URL:            https://pypi.python.org/pypi/%{pkgname}
Source0:        https://files.pythonhosted.org/packages/source/j/%{pkgname}/%{pkgname}-%{version}.tar.gz
BuildArch:      noarch


BuildRequires:  %{python_major}-devel >= %{py_major}.%{py_minor}
BuildRequires:  %{python_major}-setuptools >= 65.2.0
Requires:       %{python_major} >= %{py_major}.%{py_minor}


%description
UNKNOWN

%package -n %{meta_package}
Summary:       Meta-package for %{name}

Requires:      python3 >= %{py_major}.%{py_minor}
Requires:      %{name} = %{version}-%{release}

%description -n %{meta_package}
This is a Meta-package for %{name} package.


%prep
%autosetup -n %{pkgname}-%{version}


%build
export PATH=/opt/freeware/bin:$PATH
%{python_major} setup.py build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
%{python_major} setup.py install --root %{buildroot}

cd %{buildroot}%{_bindir}
mv jsonpointer jsonpointer-3.9
ln -sf jsonpointer-3.9 jsonpointer

%check
%if %{with dotests}

#python3 -m venv python_venv
#. ./python_venv/bin/activate
#pip3 install pytest
#pip3 install hypothesis
#ulimit -d unlimited
#ulimit -n unlimited
#ulimit -m unlimited
# ulimit -f unlimited
#( python runtests.py -m 'full' -v || true )
#deactivate

%endif


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc PKG-INFO
%{python3_sitearch}/*
%{_bindir}/jsonpointer-3.9

%files -n %{meta_package}
%defattr(-,root,system,-)
%{_bindir}/jsonpointer

%changelog
* Tue Jan 17 2023 Sangeetha Bandi <sanbandi@in.ibm.com> -  2.0-2
- jsonpointer for python3.9

* Wed Jan 08 2020 Harshita Jain <harjain9@in.ibm.com> - 2.0-1
- Update with latest version
- Build with python3

* Wed May 25 2016 Ravi Hirekurabar <rhirekur@in.ibm.com>- 1.0-1
- first version for AIX V6.1 and higher
